Bug 32231 - init script kills httpd's that don't belong to it and won't start while other
Summary: init script kills httpd's that don't belong to it and won't start while other
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-19 15:27 UTC by Neil Prockter
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-19 15:27:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Neil Prockter 2001-03-19 15:27:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.18 i686; Nav)


I have multiple copies of apache running for different purposes. I would
like to use redhats apache package but the init script kills all httpd
instances even ones it doesn't own!

also if you change the port /etc/init.d/httpd start fails it sees the other
httpd's and assumes it is running!

the apachectl script is far better in these respects (i have 3 different
apache installation which can be turned on and off seperately).

Reproducible: Always
Steps to Reproduce:
1. have your own version of apache running
2. install the apache packages
3. (opt) change the port 
4. use redhat's /etc/init.d/httpd stop
5. see you own apache stop
	

Actual Results:  all apache servers stop

Expected Results:  just the redhat apache server should stop

using apache-1.3.14-3

Comment 1 Nalin Dahyabhai 2001-03-28 23:37:40 UTC
The killproc function (defined by the initscripts package) which the init script
uses has been modified (in Raw Hide) to stop the process listed in the pid file
first, so this should resolve the problem.  The apachectl script doesn't have
the logic to start the server up with the parameters needed to load the
installed modules, so it wouldn't Just Work, even if we included it.


Note You need to log in before you can comment on or make changes to this bug.